# Uses of Interface
org.eclipse.birt.core.archive.IDocArchiveReader

Packages that use IDocArchiveReader
Package
Description
org.eclipse.birt.core.archive
org.eclipse.birt.core.archive.compound
org.eclipse.birt.core.util

## Uses of IDocArchiveReader in org.eclipse.birt.core.archive

Classes in org.eclipse.birt.core.archive that implement IDocArchiveReader
Modifier and Type
Class
Description
`class`
`FileArchiveReader`
file based archive reader.
`class`
`FolderArchive`
`class`
`FolderArchiveReader`
Methods in org.eclipse.birt.core.archive that return IDocArchiveReader
Modifier and Type
Method
Description
`static final IDocArchiveReader`
ArchiveUtil.`createReader(IDocArchiveWriter writer)`
Methods in org.eclipse.birt.core.archive with parameters of type IDocArchiveReader
Modifier and Type
Method
Description
`static void`
ArchiveUtil.`copy(IDocArchiveReader reader, IDocArchiveWriter writer)`
`static void`
ArchiveUtil.`copy(IDocArchiveReader reader, IDocArchiveWriter writer, Map<String,String> transformations)`

## Uses of IDocArchiveReader in org.eclipse.birt.core.archive.compound

Classes in org.eclipse.birt.core.archive.compound that implement IDocArchiveReader
Modifier and Type
Class
Description
`class`
`ArchiveReader`

## Uses of IDocArchiveReader in org.eclipse.birt.core.util

Methods in org.eclipse.birt.core.util with parameters of type IDocArchiveReader
Modifier and Type
Method
Description
`static org.eclipse.birt.core.btree.BTree<Object,Integer>`
BTreeUtil.`openBTree(IDocArchiveReader reader, String entryName, int dataType)`